## -*- coding: utf-8; -*-
<%inherit file="/form.mako" />

<%def name="context_menu_item_delete()">
  % if master.deletable and instance_deletable and request.has_perm('{}.delete'.format(permission_prefix)):
      % if master.delete_confirm == 'simple':
          <li>
            ${h.form(action_url('delete', instance))}
            ${h.csrf_token(request)}
            <a href="#" class="delete-instance">
              Delete this ${model_title}
            </a>
            ${h.end_form()}
          </li>
      % else:
          ## assuming here that: delete_confirm == 'full'
          <li>${h.link_to("Delete this {}".format(model_title), action_url('delete', instance))}</li>
      % endif
  % endif
</%def>

${parent.body()}
